For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
            • GETList Price Lists
            • POSTCreate Price List
            • DELDelete All Price Lists
            • GETGet Price List
            • PUTUpdate Price List
            • DELDelete Price List
              • GETGet Price List Assignments
              • POSTCreate Price List Assignments
              • DELDelete Price List Assignments
              • PUTUpsert Price List Assignment
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPrice ListsPrice Lists Assignments

Get Price List Assignments

GET
https://api.bigcommerce.com/stores/:store_hash/v3/pricelists/assignments
GET
/stores/:store_hash/v3/pricelists/assignments
$curl https://api.bigcommerce.com/stores/store_hash/v3/pricelists/assignments \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": [
3 {
4 "id": 101,
5 "price_list_id": 15,
6 "customer_group_id": 7,
7 "channel_id": 3
8 }
9 ],
10 "meta": {
11 "pagination": {
12 "total": 36,
13 "count": 36,
14 "per_page": 50,
15 "current_page": 1,
16 "total_pages": 1
17 },
18 "cursor_pagination": {
19 "count": 1,
20 "per_page": 1,
21 "start_cursor": "YXJyYXljb25uZWN0aW9uOjEwMQ==",
22 "end_cursor": "YXJyYXljb25uZWN0aW9uOjEwMQ==",
23 "links": {
24 "previous": "https://api.bigcommerce.com/stores/abc123/v3/pricelists/assignments?after=YXJyYXljb25uZWN0aW9uOjEwMA==",
25 "current": "https://api.bigcommerce.com/stores/abc123/v3/pricelists/assignments?before=YXJyYXljb25uZWN0aW9uOjEwMQ==&after=YXJyYXljb25uZWN0aW9uOjEwMQ==",
26 "next": "https://api.bigcommerce.com/stores/abc123/v3/pricelists/assignments?before=YXJyYXljb25uZWN0aW9uOjEwMQ=="
27 }
28 }
29 }
30}

Fetches an array of Price List Assignments matching a particular Customer Group and Price List and Channel.

Was this page helpful?
Previous

Delete Price List

Next

Create Price List Assignments

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

idintegerOptional

The ID of the Price List Assignment.

price_list_idintegerOptional

The ID of the Price List.

customer_group_idintegerOptional

The ID of the Customer Group.

channel_idintegerOptional

The ID of the Channel.

id:inlist of integersOptional

Filter items by a comma-separated list of IDs.

customer_group_id:inlist of integersOptional

Filter items by a comma-separated list of customer group IDs.

price_list_id:inlist of integersOptional

Filter items by a comma-separated list of price list IDs.

channel_id:inlist of integersOptional

Filter items by a comma-separated list of channel IDs.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products. If you provide only a limit, the API returns both paginations while applying that limit.

beforestringOptional
A cursor that can be used for backwards pagination. Will fetch results before the position corresponding to the cursor. Cannot be used with the 'page' query parameter. Cannot be used with the 'after' query parameter.
afterstringOptional
A cursor that can be used for forwards pagination. Will fetch results after the position corresponding to the cursor. Cannot be used with the 'page' query parameter. Cannot be used with the 'before' query parameter.

Response

An array of price list assignments and metadata.
datalist of objects
metaobject

‘Contains data about paginating the response via cursors. If no pagination details are specified or if you only provide a limit, then both properties will be present. When a ‘before’ or ‘after’ cursor is provided, only the ‘cursor_pagination’ property will be present. When a ‘page’ parameter is provided, only the offset based ‘pagination’ property will be present.’

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.